---
title: FileReader.abort()
slug: Web/API/FileReader/abort
tags:
  - API
  - File API
  - FileReader
  - Files
  - Method
  - Reference
  - abort
---
<div>{{APIRef("File API")}}</div>

<p>The <strong><code>abort</code></strong> method aborts the read operation. Upon return, the {{domxref("FileReader.readyState","readyState")}} will be <code>DONE</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>instanceOfFileReader</var>.abort();</pre>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>DOM_FILE_ABORT_ERR</code></dt>
 <dd>Thrown when <code>abort</code> is called while no read operation is in progress (that is, the state isn't <code>LOADING</code>).</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("File API", "#abort", "abort()")}}</td>
   <td>{{Spec2("File API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileReader.abort")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileReader")}}</li>
</ul>
